﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSPP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSPP_SALARYCALENDAR') 
 CREATE TABLE T_HSPP_SALARYCALENDAR (
FID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FSALARYFILEID BIGINT DEFAULT 0 NOT NULL,
FSALARYFILEVID BIGINT DEFAULT 0 NOT NULL,
FPAYROLLDATE DATETIME,
FCALCOUNT BIGINT DEFAULT 0 NOT NULL,
FPAYSUBJECTID BIGINT DEFAULT 0 NOT NULL,
FPAYSUBJECTVID BIGINT DEFAULT 0 NOT NULL,
FSALARYVIEWID BIGINT DEFAULT 0 NOT NULL,
FRELEASETIMESTAMP BIGINT DEFAULT 0 NOT NULL,
FRELEASETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBIGINTFIELD BIGINT DEFAULT 0 NOT NULL,
FDATEFIELD DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSPP_SALARYCALENDAR_L') 
 CREATE TABLE T_HSPP_SALARYCALENDAR_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCAPTION NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSPP_SALARYSLIPSTATUS') 
 CREATE TABLE T_HSPP_SALARYSLIPSTATUS (
FID BIGINT DEFAULT 0 NOT NULL,
FSLIPID BIGINT DEFAULT 0 NOT NULL,
FSALARYCALENDARID BIGINT DEFAULT 0 NOT NULL,
FISVIEW CHAR(1) DEFAULT ' ' NOT NULL,
FISCONFIRM CHAR(1) DEFAULT ' ' NOT NULL,
FISRECYCLE CHAR(1) DEFAULT ' ' NOT NULL,
FENCRYPTLEVEL VARCHAR(10) DEFAULT ' ' NOT NULL,
FENCRYPTTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSPP_SMSMESSAGE') 
 CREATE TABLE T_HSPP_SMSMESSAGE (
FID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FPHONE BIGINT DEFAULT 0 NOT NULL,
FBUSINESSTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FMESSAGE VARCHAR(255) DEFAULT ' ' NOT NULL,
FISSEND CHAR(1) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSPP_SALARYSLIPDETAIL') 
 CREATE TABLE T_HSPP_SALARYSLIPDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FENCRYKEY VARCHAR(100) DEFAULT ' ' NOT NULL,
FSALARYSLIPDATA NCLOB,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSPP_SALARYSLIPPWD') 
 CREATE TABLE T_HSPP_SALARYSLIPPWD (
FID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FPASSWORD VARCHAR(255) DEFAULT ' ' NOT NULL,
FPASSWORD_ENP NCLOB,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSPP_table.sql **/
